updates fighting each other...

Updates toggling back and forth - no-Op in autoupdater, and YaST Online Update usually can fix things, but this time it proceeds as follows…

|openSUSE-SLE-15.3-2021-2654 - Recommended update for system-config-printer
|
|


 This update for system-config-printer fixes the following issues:

 - Require python3-requests to avoid printer installation failure due to missing python module. (bsc#1116867)

 References:

 


  - 1116867 (bugzilla) : udev rule for printer installation fails due to missing python module 



Accept and install, then…

| openSUSE-SLE-15.3-2022-2831 - Recommended update for aws-efs-utils, python-ansi2html, python-py, python-pytest-html, python-pytest-metadata, python-pytest-rerunfailures, python-coverage, python-oniconfig, python-unittest-mixins
|
|

This update for aws-efs-utils, python-ansi2html, python-py, python-pytest-html, python-pytest-metadata, python-pytest-rerunfailures fixes the following issues:

- Update in SLE-15 (bsc#1196696, bsc#1195916, jsc#SLE-23972)

 - Remove redundant python3 dependency from Requires
 - Update regular expression to fix python shebang

 - Style is enforced upstream and triggers unnecessary build version requirements
 - Allow specifying fs_id in cloudwatch log group name

 - Includes fix for stunnel path

 - Added hardening to systemd service(s).

 - Raise minimal pytest version

 - Fix typo in the ansi2html Requires

 - Cleanup with spec-cleaner

 - Make sure the tests are really executed

 - Remove useless devel dependency
 - Multiprocessing support in Python 3.8 was broken, but is now fixed

 - Bumpy the URL to point to github rather than to docs

 References:

 


  - 1195916 (bugzilla) : SLES15sp3: mount -t efs fails with "FileNotFoundError: [Errno 2] No such file or directory: 'stunnel': 'stunnel'" 
  - 1196696 (bugzilla) : [Trackerbug] [ECO] Update aws-efs-utils to latest version in SLE-15 
  - SLE-23972 (jira) : https://jira.suse.com/browse/SLE-23972 
  - CVE-2020-29651 (cve) : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-29651 



Then…

nothing provides 'python3-iniconfig' needed by the to be installed python3-py-1.10.0-150000.5.9.2.noarch

     ] break python3-py-1.10.0-150000.5.9.2.noarch by ignoring some of its dependencies

     ] do not install patch:openSUSE-SLE-15.3-2022-2831-1.noarch

    [x] Following actions will be done:
deinstallation of python3-py-1.8.1-5.6.1.noarch
deinstallation of python3-requests-2.24.0-1.24.noarch
downgrade of python3-cupshelpers-1.5.7-8.3.1.noarch to python3-cupshelpers-1.5.7-6.27.noarch

…accept deinstallation… then…

| openSUSE-SLE-15.3-2021-2654 - Recommended update for system-config-printer
|
|


 This update for system-config-printer fixes the following issues:

 - Require python3-requests to avoid printer installation failure due to missing python module. (bsc#1116867)
 References:

 


  - 1116867 (bugzilla) : udev rule for printer installation fails due to missing python module 



…and this just cycles. So autoupdater is offline until this if fixed. I think there’s a zypper command to figure out or fix…

Thank You! PattiM

Hi
A bug: https://bugzilla.opensuse.org/show_bug.cgi?id=1202498

Also see this thread: https://forums.opensuse.org/showthread.php/573977-Woops-in-autoupdate

Excellent! Thank you very much for your time. I will watch for resolution.

python3-iniconfig is available from https://download.opensuse.org/repositories/devel:/languages:/python:/backports/15.3/

Sometimes additional repos are useful…

python3-iniconfig is available from https://download.opensuse.org/repositories/devel:/languages:/python:/backports/15.3/

https://download.opensuse.org/repositories/devel:/languages:/python:/backports/15.3/noarch/python3-iniconfig-1.1.1-lp153.3.1.noarch.rpm

Sometimes additional repos are useful…

Better is to wait for an update, because:
less Repos are often more…

And so this bug was resolved with an Update.

Right now python2-iniconfig is not available with standard repositories.

Yes, but this was no question here…

And python2 is out.